Remove items from history

🔒 OAuth Required

Remove items from a user's watch history including all watches, scrobbles, and checkins. Accepts shows, seasons, episodes and movies. If only a show is passed, all episodes for the show will be removed. If seasons are specified, only episodes in those seasons will be removed.

You can also send a list of raw history ids (64-bit integers) to delete single plays from the watched history. The /sync/history method will return an individual id (64-bit integer) for each history item.

JSON POST Data

KeyTypeValue
moviesarrayArray of movie objects. (see examples ->)
showsarrayArray of show objects.
seasonsarrayArray of season objects.
episodesarrayArray of episode objects.
idsarrayArray of history ids.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Body

movies
array | null
movies
shows
array | null
shows
seasons
array of objects | null
seasons
episodes
array of objects | null
episodes
ids
array of numbers | null
ids
Response

Language
Credentials
Required Scopes
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json